## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 13;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:    postgresqltuner
Version: 1.0.1
Release: %autorelease
Summary: Simple script to analyze PostgreSQL database configuration and tuning

License: GPLv3
URL:     https://github.com/jfcoz/postgresqltuner/
Source0: https://github.com/jfcoz/postgresqltuner/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch: noarch


Requires: perl(DBI)
Requires: perl(DBD::Pg)
Requires: perl(Getopt::Long)
Requires: perl(Term::ANSIColor)

BuildRequires: postgresql-test-rpm-macros
BuildRequires: perl(DBI)
BuildRequires: perl(DBD::Pg)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Term::ANSIColor)

%description
postgresqltuner is a simple script to analyze your PostgreSQL database. It is 
inspired by mysqltuner.pl

%prep
%autosetup

%install
mkdir -p %{buildroot}/%{_bindir}
cp -a postgresqltuner.pl %{buildroot}%{_bindir}/postgresqltuner

%check
%postgresql_tests_run
%{buildroot}%{_bindir}/postgresqltuner --host=$PGHOST --port=$PGPORT --database=mockbuild --user=mockbuild --password=mockbuild

%files
%{_bindir}/postgresqltuner

%doc README.md README.fr.md
%license LICENSE.txt

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Jan 09 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0.1-6
- Enable check by running against testing database

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Mar 29 2019 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0.1-4
- Change Source to use macros
- Add missing dep
- Use perl macro for all deps

* Mon Mar 25 2019 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0.1-3
- Fix requirements
- Extend changelog

* Fri Mar 22 2019 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0.1-1
- Initial version of the package

## END: Generated by rpmautospec
